2019-12-13 14:04 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000151FSSCPuser interfacepublic2007-03-23 04:16
ReporterFoxer 
Assigned Totaylor 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version3.5.5 
Target VersionFixed in Version3.6 
Summary0000151: -ship_choice_3d flag makes very big ships
Description-ship_choice_3d flag makes very big ships in ship-selection room (ships is that big, that models
goes out of the ship-selection window - look at screens)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000574

kasperl (developer)

http://mgo.maxgaming.net/mantis/bug_view_advanced_page.php?bug_id=0000130

is this also when you have no alt+tabbed out and in of FSO?
OGL or D3D?
What are you're computer's specs?
What OS are you using?
Graph card?
Drivers?

~0000576

Foxer (reporter)

Last edited: 2004-03-24 15:52

It IS when I have NOT alt+tabbed out and in.

Flags: -spec -glow -pcx32 -jpgtga -d3dmipmap -ship_choice_3d -fps -d3d_lesstmem -ambient_factor 75
1024x768x32 res
D3D8
Fix GeForce Font

System specs:

Windows XP Home
Pentium III 500
320 MB RAM
GeForce FX 5200 128 MB (6.14.10.5303 nVidia drivers number)
DirectX 9.0

edited on: 03-24-04 15:52

~0000592

RandomTiger (developer)

missionshipchoice.cpp line 1846 controls zooming for this feature:

g3_set_view_matrix(&sip->closeup_pos, &vmd_identity_matrix, sip->closeup_zoom * 1.3f);

~0000765

taylor (administrator)

Just put the fix in CVS. No one bothered to call gr_set_view_matrix(). Fix tested in OGL and D3D.

~0000767

taylor (administrator)

fix'ed
+Notes

-Issue History
Date Modified Username Field Change
2004-03-24 12:50 Foxer New Issue
2004-03-24 12:50 Foxer File Added: screen00.gif
2004-03-24 12:53 Foxer File Added: screen01.gif
2004-03-24 15:03 kasperl Note Added: 0000574
2004-03-24 15:47 Foxer Note Added: 0000576
2004-03-24 15:52 Foxer Note Edited: 0000576
2004-03-28 06:47 RandomTiger Note Added: 0000592
2004-04-13 20:38 taylor Note Added: 0000765
2004-04-14 02:34 RandomTiger Assigned To => taylor
2004-04-14 02:34 RandomTiger Status new => assigned
2004-04-14 05:23 taylor Status assigned => resolved
2004-04-14 05:23 taylor Resolution open => fixed
2004-04-14 05:23 taylor Note Added: 0000767
2007-03-23 04:16 taylor Status resolved => closed
2007-03-23 04:16 taylor Fixed in Version => 3.6
+Issue History